@echo off

if "%REALISTIC_BOOKS_HOME%" == "" goto EnvNotSet

REM test if we have write permission on the greenstone install directory
echo.
echo Checking if REALISTIC_BOOKS_HOME is writable...
echo This is a temporary file. It is safe to delete it. > "%REALISTIC_BOOKS_HOME%\books\testing.tmp"
if not exist "%REALISTIC_BOOKS_HOME%\books\testing.tmp" goto CantWrite
del "%REALISTIC_BOOKS_HOME%\books\testing.tmp"
echo REALISTIC_BOOKS_HOME has write permission for the current user.
echo.
goto TheEnd

:CantWrite
echo.
echo.
echo.
echo -----------------------------------

if "%RBLANG%" == "en" echo  WARNING: CANNOT WRITE TO REALISTIC_BOOKS_HOME
if "%RBLANG%" == "es" echo  ATENCIÓN: NO PUEDE ESCRIBIR EN EL DIRECTORIO RAÍZ DE GREENSTONE.
if "%RBLANG%" == "fr" echo  AVERTISSEMENT: ECRIRE IMPOSSIBLE DANS LE DOSSIER D'ACCUEIL DE GREENSTONE
if "%RBLANG%" == "ru" echo  ВНИМАНИЕ: НЕВОЗМОЖНО ОСУЩЕСТВИТЬ ЗАПИСЬ В ДОМАШНЮЮ ПАПКУ GREENSTONE

echo -----------------------------------
If "%RBLANG%" == "en" echo Greenstone needs write permission for the Greenstone home folder,
if "%RBLANG%" == "en" echo which is %REALISTIC_BOOKS_HOME%,
if "%RBLANG%" == "en" echo but right now it does not.
if "%RBLANG%" == "en" echo Please grant "Full Control" for this folder (and all subfolders)  
if "%RBLANG%" == "en" echo to the current user (%username%) and try again.

if "%RBLANG%" == "es" echo Greenstone necesita permiso de escritura en el directorio:
if "%RBLANG%" == "es" echo %REALISTIC_BOOKS_HOME%,
if "%RBLANG%" == "es" echo pero no lo tiene.
if "%RBLANG%" == "es" echo Por favor, concédale “Control completo” al usuario actual (%username%), 
if "%RBLANG%" == "es" echo y vuelva a intentarlo.

if "%RBLANG%" == "fr" echo Greenstone nécessite une autorisation d'écriture dans le dossier 
if "%RBLANG%" == "fr" echo principal de Greenstone: %REALISTIC_BOOKS_HOME%,
if "%RBLANG%" == "fr" echo mais pour l'instant cette autorisation n'existe pas.
if "%RBLANG%" == "fr" echo Autorisez le « Contrôle Total » sur ce dossier (et sur tous les sous-dossiers)
if "%RBLANG%" == "fr" echo pour l'utilisateur courant (%username%) puis re-essayez.

if "%RBLANG%" == "ru" echo Greenstone требуется разрешение на запись в домашнюю папку %REALISTIC_BOOKS_HOME%,
if "%RBLANG%" == "ru" echo в данный момент запись в домашнюю папку запрещена.
if "%RBLANG%" == "ru" echo Пожалуйста установите Полный доступ для папки (и всех вложенных папок)
if "%RBLANG%" == "ru" echo для текущего пользователя (%username%) и попробуйте заново.

echo.

if "%RBLANG%" == "en" echo (Alternatively, re-install Greenstone to a location where you have Full
if "%RBLANG%" == "en" echo Control already, such as a your home folder or 'My Documents'.)

if "%RBLANG%" == "es" echo (Alternativamente, reinstale Greenstone en una localización en la que tenga “Control completo”, 
if "%RBLANG%" == "es" echo como su directorio raíz o “Mis documentos”).

if "%RBLANG%" == "fr" echo (Alternativement, re-installez Greenstone à l'emplacement où vous avez déjà le « Contrôle Total », 
if "%RBLANG%" == "fr" echo comme votre dossier d'accueil ou  "Mes Documents".)

if "%RBLANG%" == "ru" echo (Либо, переустановите Greenstone в ту папку, к которой Вы уже имеете полный доступ, 
if "%RBLANG%" == "ru" echo например в свою домашнюю папку или в папку "Мои документы".)

echo.
echo.
echo.
echo.
goto TheEnd

:EnvNotSet
echo REALISTIC_BOOKS_HOME not set

:TheEnd
